+ Reply to Thread
Page 1 of 3 1 2 3 LastLast
Results 1 to 10 of 28
  1. #1
    Senior Member tmelancon's Avatar
    Computer Details
    tmelancon's Computer Details
    Operating System:
    Windows 7 Professional
    Computer:
    Dell Optiplex 7010
    CPU:
    i3-3220 Processor (Quad Core, 3.30GHz)
    RAM:
    8GB
    Graphics:
    HD2500 Graphics
    Primary Storage:
    500GB
    Secondary Storage:
    2TB External Backup
    Monitor:
    Dual Dell 27" Monitors!!
    Discipline
    Multi-disciplinary
    tmelancon's Discipline Details
    Occupation
    CAD Operations/Design
    Discipline
    Multi-disciplinary
    Details
    CAD Design, CAD Management, Project Management, ISO Drawings, Pressure Vessels, Inspection Reports, Data Analysis, Work Scope Recommendations, Troubleshooting, and anything else the boss needs to maximize efficiency. Also proficient in Electrical Engineering/Lighting Design and LEED Green Energy
    Using
    AutoCAD 2015
    Join Date
    Jun 2013
    Posts
    327

    Exclamation Creating Isometric slope hatches in AutoCAD 2014? HELP!

    Registered forum members do not see this ad.

    Hello all, I work primarily in the piping industry and we do not use Autocad 3D Plant because we aren't in the design industry but rather more in the maintenance part of it. That being said we do not have the piping slope hatching functionality. See Photo for slope hatching example.

    We use this for 45 degrees, rolled 45 degrees and rolled 90 degree elbows. If someone can chime in a maybe share something that would be useful to us to aid in the automation of creating this hatch quickly I would greatly appreciate it.

    It is better to remain silent and be thought a fool, than to open your mouth and remove all doubt. -Abraham Lincoln

  2. #2
    Senior Member ROBP's Avatar
    Computer Details
    ROBP's Computer Details
    Operating System:
    WINDOWS 10 PRO
    Computer:
    Eurocom
    CPU:
    IINTEL i7-6700K- 4.00GHz
    RAM:
    64 GB
    Graphics:
    K5100M
    Primary Storage:
    1 TB
    Secondary Storage:
    1 TB
    Monitor:
    N/A
    Discipline
    P&ID
    ROBP's Discipline Details
    Occupation
    Powerhouse designer
    Discipline
    P&ID
    Using
    MEP 2018
    Join Date
    Oct 2013
    Location
    Montreal, Canada
    Posts
    344

    Default

    Quote Originally Posted by tmelancon View Post
    Hello all, I work primarily in the piping industry and we do not use Autocad 3D Plant because we aren't in the design industry but rather more in the maintenance part of it. That being said we do not have the piping slope hatching functionality. See Photo for slope hatching example.

    We use this for 45 degrees, rolled 45 degrees and rolled 90 degree elbows. If someone can chime in a maybe share something that would be useful to us to aid in the automation of creating this hatch quickly I would greatly appreciate it.

    have you tried region with batten hatch?
    Creativity is intelligence having fun

  3. #3
    Super Member rlx's Avatar
    Computer Details
    rlx's Computer Details
    Operating System:
    W10
    Computer:
    i74ghz/ssd500/2tbhdd
    Discipline
    Electrical
    rlx's Discipline Details
    Occupation
    electrical designer dragon
    Discipline
    Electrical
    Details
    I dont excel in anything but I rearly give up
    Using
    AutoCAD 2012
    Join Date
    Nov 2014
    Location
    Bergen op Zoom , Netherlands
    Posts
    599

    Default

    I never use iso's myself but for my colleagues I did write a program , RlxIso. If I have some spare time I can ask them how this should work and maybe update my program (if they are interested at all). To me it looks just like a isometric triangle with a user hatch at 90 degrees. Right now I'm in the middle of a major shutdown at the plant I'm working so not sure if I have any time soon.

    gr. Rlx

  4. #4
    Forum Deity rkent's Avatar
    Computer Details
    rkent's Computer Details
    Operating System:
    WIN7 PRO 64bit
    Computer:
    Dell OptiPlex 7020
    CPU:
    i7 4790 3.6GHz
    RAM:
    16GB, 1600MHz, DDR3 non-ECC 2x8GB
    Graphics:
    AMD Radeon 2GB
    Primary Storage:
    Samsung 480Gb SSD
    Monitor:
    Dell 24" FS (2x)
    Discipline
    Mechanical
    rkent's Discipline Details
    Occupation
    Facilities Design - Semi-conductor manufacturing
    Discipline
    Mechanical
    Details
    Designer: Process Piping, P&ID's, Machine Part Design, Planning / General Arrangement. Facilities Management. Drafting: Electrical, Controls, Architectural.
    Using
    Mechanical 2017
    Join Date
    Nov 2007
    Location
    Lat:35, Long:-106, Elev: 5164'
    Posts
    4,574

    Default

    Maybe explain a little bit more in what you are wanting that the basic bhatch function won't provide. Whether the iso is 2d or a 3d view the bhatch works just fine, so I am guessing you are wanting more?
    Sometimes there's a man... I won't say a hero, 'cause, what's a hero? But sometimes, there's a man. And I'm talkin' about the Dude here. Sometimes, there's a man, well, he's the man for his time and place. He fits right in there. And that's the Dude, in Los Angeles. - The Stranger, The Big Lebowski

  5. #5
    Senior Member tmelancon's Avatar
    Computer Details
    tmelancon's Computer Details
    Operating System:
    Windows 7 Professional
    Computer:
    Dell Optiplex 7010
    CPU:
    i3-3220 Processor (Quad Core, 3.30GHz)
    RAM:
    8GB
    Graphics:
    HD2500 Graphics
    Primary Storage:
    500GB
    Secondary Storage:
    2TB External Backup
    Monitor:
    Dual Dell 27" Monitors!!
    Discipline
    Multi-disciplinary
    tmelancon's Discipline Details
    Occupation
    CAD Operations/Design
    Discipline
    Multi-disciplinary
    Details
    CAD Design, CAD Management, Project Management, ISO Drawings, Pressure Vessels, Inspection Reports, Data Analysis, Work Scope Recommendations, Troubleshooting, and anything else the boss needs to maximize efficiency. Also proficient in Electrical Engineering/Lighting Design and LEED Green Energy
    Using
    AutoCAD 2015
    Join Date
    Jun 2013
    Posts
    327

    Default

    To clarify, right now my office is having to manually draw the right triangles (i.e. using simple line command or offset command) and then we apply hatching depending on whether the angle is a vertical angle or a horizontal angle.

    My question pertains to a lisp that can automate the creation of the triangle and the hatching ( I should have been more specific in the title, but thats what AutoCAD Plant 3D calls it). We can manually draw, trim and hatch these all day no problems as this is rudimentary cad operations, however. The downfall is when you have dozens of angles throughout a piping circuit and have dozens to complete each day.

    I need someone to help with a lisp routine to automate the triangle and the hatching in a click or two. Heres a screen shot from my program to show example. The first image was taken from AutoCAD Plant 3D and was just for reference.

    It is better to remain silent and be thought a fool, than to open your mouth and remove all doubt. -Abraham Lincoln

  6. #6
    Senior Member tmelancon's Avatar
    Computer Details
    tmelancon's Computer Details
    Operating System:
    Windows 7 Professional
    Computer:
    Dell Optiplex 7010
    CPU:
    i3-3220 Processor (Quad Core, 3.30GHz)
    RAM:
    8GB
    Graphics:
    HD2500 Graphics
    Primary Storage:
    500GB
    Secondary Storage:
    2TB External Backup
    Monitor:
    Dual Dell 27" Monitors!!
    Discipline
    Multi-disciplinary
    tmelancon's Discipline Details
    Occupation
    CAD Operations/Design
    Discipline
    Multi-disciplinary
    Details
    CAD Design, CAD Management, Project Management, ISO Drawings, Pressure Vessels, Inspection Reports, Data Analysis, Work Scope Recommendations, Troubleshooting, and anything else the boss needs to maximize efficiency. Also proficient in Electrical Engineering/Lighting Design and LEED Green Energy
    Using
    AutoCAD 2015
    Join Date
    Jun 2013
    Posts
    327

    Default

    Attached Images
    It is better to remain silent and be thought a fool, than to open your mouth and remove all doubt. -Abraham Lincoln

  7. #7
    Senior Member zaphod's Avatar
    Using
    AutoCAD 2017
    Join Date
    Sep 2013
    Location
    Houston, TX
    Posts
    174

    Default

    dymanics perhaps?
    Attached Files

  8. #8
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Windows 7 Ultimate (32-bit)
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2013
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,322

    Default

    This looked like an interesting program to write - please try the following (adjust the settings at the top to suit):
    Code:
    ;;----------------------=={ Isometric Triangle }==----------------------;;
    ;;                                                                      ;;
    ;;  Prompts the user to pick two points at a non-isometric angle and    ;;
    ;;  proceeds to construct a hatched isometric right-angled triangle,    ;;
    ;;  offset from the two given points by a distance specified in the     ;;
    ;;  code.                                                               ;;
    ;;----------------------------------------------------------------------;;
    ;;  Author:  Lee Mac, Copyright © 2015  -  www.lee-mac.com              ;;
    ;;----------------------------------------------------------------------;;
    ;;  Version 1.0    -    2015-10-06                                      ;;
    ;;                                                                      ;;
    ;;  - First release.                                                    ;;
    ;;----------------------------------------------------------------------;;
    ;;  Version 1.1    -    2015-10-10                                      ;;
    ;;                                                                      ;;
    ;;  - Removed restriction on non-isometric angles (e.g. 60 deg).        ;;
    ;;----------------------------------------------------------------------;;
    
    (defun c:isotri ( / an1 an2 div err hat hpa off pat pi6 ply pt1 pt2 scl spc vt1 vt2 vt3 )
    
        (setq off 1.0        ;; Triangle offset
              pat "ANSI31"   ;; Hatch pattern name
              hpa (/ pi 4.0) ;; Hatch angle
              scl 0.1        ;; Hatch scale
        )
        (cond
            (   (not
                    (and
                        (setq pt1 (getpoint "\nPick 1st point: "))
                        (setq pt2 (getpoint "\nPick 2nd point: " pt1))
                    )
                )
            )
            (   (progn
                    (defun div ( x m / r )
                        (setq r (rem x m))
                        (or (equal 0.0 r 1e-6) (equal m r 1e-6))
                    )
                    (setq an1 (angle pt1 pt2)
                          pi6 (/ pi 6.0)
                    )
                    (and (div an1 pi6) (not (div an1 (+ pi6 pi6))))
                )
                (princ "\nCannot generate triangle for isometric angle.")
            )
            (   (or (<  an1  pi6)
                    (< (* 05 pi6) an1 (* 7 pi6))
                    (< (* 11 pi6) an1)
                )
                (princ "\nCannot generate triangle for iso angles less than 90 degrees.")
            )
            (   (progn
                    (setq an2
                        (cond
                            (   (< an1 (* 3 pi6)) pi6)
                            (   (< an1 (* 5 pi6)) (* 5 pi6))
                            (   (< an1 (* 9 pi6)) (* 7 pi6))
                            (   (* 11 pi6))
                        )
                    )
                    (setq vt1 (polar pt1 an2 (/ off (sin (abs (- an1 an2)))))
                          vt2 (polar pt1 an2 (/ (- (car pt2) (car pt1)) (cos an2)))
                          vt3 (polar vt1 an1 (/ (- (car vt2) (car vt1)) (cos an1)))
                    )
                    (setq ply
                        (vlax-invoke
                            (setq spc
                                (vlax-get-property
                                    (vla-get-activedocument (vlax-get-acad-object))
                                    (if (= 1 (getvar 'cvport)) 'paperspace 'modelspace)
                                )
                            )
                            'addlightweightpolyline
                            (apply 'append
                                (mapcar
                                   '(lambda ( x ) (reverse (cdr (reverse x))))
                                    (list vt1 vt2 vt3)
                                )
                            )
                        )
                    )
                    (vla-put-closed ply :vlax-true)
                    (vl-catch-all-error-p
                        (setq hat
                            (vl-catch-all-apply 'vlax-invoke
                                (list spc 'addhatch achatchpatterntypepredefined pat :vlax-true achatchobject)
                            )
                        )
                    )
                )
                (vla-delete ply)
                (princ "\nError creating hatch: ")
                (princ (vl-catch-all-error-message hat))
            )
            (   (vl-catch-all-error-p
                    (setq err
                        (vl-catch-all-apply 'vlax-invoke
                            (list hat 'appendouterloop (list ply))
                        )
                    )
                )
                (vla-delete hat)
                (vla-delete ply)
                (princ "\nError setting hatch boundary: ")
                (princ (vl-catch-all-error-message err))
            )
            (   t
                (vla-evaluate hat)
                (vla-put-patternangle hat hpa)
                (vla-put-patternscale hat scl)
            )
        )
        (princ)
    )
    (vl-load-com) (princ)
    A Quick Demo:

    isotri.gif
    Last edited by Lee Mac; 10th Oct 2015 at 05:51 pm.
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

  9. #9
    Senior Member tmelancon's Avatar
    Computer Details
    tmelancon's Computer Details
    Operating System:
    Windows 7 Professional
    Computer:
    Dell Optiplex 7010
    CPU:
    i3-3220 Processor (Quad Core, 3.30GHz)
    RAM:
    8GB
    Graphics:
    HD2500 Graphics
    Primary Storage:
    500GB
    Secondary Storage:
    2TB External Backup
    Monitor:
    Dual Dell 27" Monitors!!
    Discipline
    Multi-disciplinary
    tmelancon's Discipline Details
    Occupation
    CAD Operations/Design
    Discipline
    Multi-disciplinary
    Details
    CAD Design, CAD Management, Project Management, ISO Drawings, Pressure Vessels, Inspection Reports, Data Analysis, Work Scope Recommendations, Troubleshooting, and anything else the boss needs to maximize efficiency. Also proficient in Electrical Engineering/Lighting Design and LEED Green Energy
    Using
    AutoCAD 2015
    Join Date
    Jun 2013
    Posts
    327

    Default

    Humm I tried your code lee. I am selecting both end points of the line I wish to create the hatched triangle for but keep getting the message- "Cannot generate triangle for isometric angle."... In our industry we draw strictly in isometric and these are indeed isometric angles. However, when I draw lines straight up and straight right(90 and 180 degrees) then run the code and pick my two points, it pops in a isometric triangle like what is shown in the image that I will attach.
    Attached Images
    It is better to remain silent and be thought a fool, than to open your mouth and remove all doubt. -Abraham Lincoln

  10. #10
    Senior Member tmelancon's Avatar
    Computer Details
    tmelancon's Computer Details
    Operating System:
    Windows 7 Professional
    Computer:
    Dell Optiplex 7010
    CPU:
    i3-3220 Processor (Quad Core, 3.30GHz)
    RAM:
    8GB
    Graphics:
    HD2500 Graphics
    Primary Storage:
    500GB
    Secondary Storage:
    2TB External Backup
    Monitor:
    Dual Dell 27" Monitors!!
    Discipline
    Multi-disciplinary
    tmelancon's Discipline Details
    Occupation
    CAD Operations/Design
    Discipline
    Multi-disciplinary
    Details
    CAD Design, CAD Management, Project Management, ISO Drawings, Pressure Vessels, Inspection Reports, Data Analysis, Work Scope Recommendations, Troubleshooting, and anything else the boss needs to maximize efficiency. Also proficient in Electrical Engineering/Lighting Design and LEED Green Energy
    Using
    AutoCAD 2015
    Join Date
    Jun 2013
    Posts
    327

    Default

    Registered forum members do not see this ad.

    Now here is the depiction of what we would actually need.. Thanks again for everything by the way this is extremely generous of you. Excellent hard work!
    Attached Images
    It is better to remain silent and be thought a fool, than to open your mouth and remove all doubt. -Abraham Lincoln

Similar Threads

  1. creating a custom colour book (AutoCAD 2014)
    By designerstuart in forum AutoLISP, Visual LISP & DCL
    Replies: 9
    Last Post: 11th Aug 2014, 11:56 am
  2. AutoCAD 2014 'Tangent' ignores ellipses in isometric, but ...
    By Vagulus in forum AutoCAD Bugs, Error Messages & Quirks
    Replies: 0
    Last Post: 17th Sep 2013, 09:29 am
  3. Replies: 6
    Last Post: 2nd Jul 2013, 02:37 pm
  4. creating hatches
    By bjenk8100 in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 3
    Last Post: 22nd Jan 2010, 12:26 am
  5. Creating Hatches
    By Mikiko in forum AutoCAD Beginners' Area
    Replies: 4
    Last Post: 18th Nov 2009, 08:27 pm

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts